import type { FC, ReactNode } from "react";

interface ComponentProps {
  children: ReactNode;
  className?: string;
  spacing?: boolean;
}

export const Card: FC<ComponentProps> = ({ children, className }) => {
  return (
    <div
      className={`bg-white sm:rounded-lg overflow-hidden shadow-md ${
        className || ""
      }`}
    >
      {children}
    </div>
  );
};

export function CardContent({
  children,
  className,
  spacing = true,
}: ComponentProps) {
  return (
    <div className={`${spacing ? "p-4 " : ""}${className || ""}`}>
      {children}
    </div>
  );
}
